Package org.apache.cxf.binding

# Interface BindingFactoryManager

All Known Implementing Classes:
  `BindingFactoryManagerImpl`

public interface BindingFactoryManager
The manager interface represents a repository for accessing `BindingFactory`s. Provides methods necessary for registering, unregistering or retrieving of BindingFactorys.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BindingFactory`
  `getBindingFactory(String name)`
  Retrieves the BindingFactory registered with the given name.
  `void`
  `registerBindingFactory(String name, BindingFactory binding)`
  Registers a BindingFactory using the provided name.
  `void`
  `unregisterBindingFactory(String name)`
  Deregisters the BindingFactory with the provided name.

- ## Method Details

  - ### registerBindingFactory

    void registerBindingFactory(String name, BindingFactory binding)
    Registers a BindingFactory using the provided name.
    Parameters:
      `name` - The name of the BindingFactory.
      `binding` - The instance of the class that implements the BindingFactory interface.

  - ### unregisterBindingFactory

    void unregisterBindingFactory(String name)
    Deregisters the BindingFactory with the provided name.
    Parameters:
      `name` - The name of the BindingFactory.

  - ### getBindingFactory

    BindingFactory getBindingFactory(String name) throws BusException
    Retrieves the BindingFactory registered with the given name.
    Parameters:
      `name` - The name of the BindingFactory.
    Returns:
      BindingFactory The registered BindingFactory.
    Throws:
      `BusException` - If there is an error retrieving the BindingFactory.